Subject: Re: [PATCH] powerpc: add of_find_next_property andof_get_aliased_index

From: Timur Tabi <[email-masked]>
Date: Thu, 26 Jun 2008 13:29:53 -0500

Sean MacLennan wrote:
> On Thu, 26 Jun 2008 10:55:14 -0500
> "Timur Tabi" <[email-masked]> wrote:
> 
>> Well, there's a lot of disagreement on this subject.  Not only do we
>> not agree on a method of enumerating devices, a lot of people have a
>> problem with the concept of enumerating them in the first place!
> 
> An interesting point is that I enforced an index in the i2c-ibm_iic
> driver with no disagreement at all ;)

I added it to the fsl_soc as well without any fuss, but I may need to withdraw
it.  Technically, the I2C nodes in our device trees should not have a cell-index
property, because there are no shared registers.

-- 
Timur Tabi
Linux kernel developer at Freescale